Bug 814797

Summary: Yum update installing new kernel ignores GRUB_DEFAULT in /etc/default/grub
Product: [Fedora] Fedora Reporter: Mark Frazer <mark>
Component: grubbyAssignee: Peter Jones <pjones>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 16CC: bcl, pjones
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 16:16:56 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mark Frazer 2012-04-20 13:25:22 EDT
Description of problem:
Apparently 'grubby' is run after a yum update and updates the grub2 config files.

The 'set default="${saved}"' line in /boot/grub2/grub.cfg is replaced with 'set default="1"' to boot to the new kernel.  Grubby should be running 'grub2-set-default "<title>"' here to preserve the grub configuration.  Running grub2-set-default leaves 'set default="saved"' in /boot/grub2/grub.cfg and updates the saved kernel name in /boot/grub2/grubenv.

Before an update:
[root@easy40 ~]# grep DEFAULT /etc/default/grub 
GRUB_DEFAULT=saved
GRUB_SAVEDEFAULT=true
[root@easy40 ~]# grep default= /boot/grub2/grub.cfg
set default="${saved_entry}"

After the update:
[root@easy40 ~]# grep DEFAULT /etc/default/grub 
GRUB_DEFAULT=saved
GRUB_SAVEDEFAULT=true
[root@easy40 ~]# grep default= /boot/grub2/grub.cfg
set default="1"

Version-Release number of selected component (if applicable):
[root@easy40 ~]# rpm -qa | grep grub
grubby-8.8-2.fc16.i686
grub2-1.99-13.fc16.2.i686
grub-efi-0.97-84.fc16.i686

How reproducible:
After every kernel update so far

Steps to Reproduce:
1. yum update when a new kernel is ready
2.
3.
  
Actual results:


Expected results:


Additional info:
Work around is to run grub2-mkconfig -o /boot/grub2/grub.cfg after a yum update
Comment 1 Fedora End Of Life 2013-01-16 11:59:56 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 16:16:59 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.